Package opennlp.tools.postag

## Class POSTaggerFactory.POSDictionarySerializer

- java.lang.Object
- - opennlp.tools.postag.POSTaggerFactory.POSDictionarySerializer

- All Implemented Interfaces:
    `ArtifactSerializer<POSDictionary>`
  Enclosing class:
    POSTaggerFactory

      public static class POSTaggerFactory.POSDictionarySerializer
      extends Object
      implements ArtifactSerializer<POSDictionary>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `POSDictionarySerializer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `POSDictionary` | `create​(InputStream in)` | Creates an artifact from the provided `InputStream`.
    `void` | `serialize​(POSDictionary artifact, OutputStream out)` | Serializes an artifact to the provided `OutputStream`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### POSDictionarySerializer

          public POSDictionarySerializer()

  - ### Method Detail

    - #### create

          public POSDictionary create​(InputStream in)
                               throws IOException

      Description copied from interface: `ArtifactSerializer`
      Creates an artifact from the provided `InputStream`.

      Note: The `InputStream` remains open.

      Specified by:
        `create` in interface `ArtifactSerializer<POSDictionary>`
      Parameters:
        `in` - A valid, open `InputStream` ready to read from.
      Returns:
        A valid `artifact`.
      Throws:
        `IOException` - Thrown if IO errors occurred during creation.

    - #### serialize

          public void serialize​(POSDictionary artifact,
                                OutputStream out)
                         throws IOException

      Description copied from interface: `ArtifactSerializer`
      Serializes an artifact to the provided `OutputStream`.

      Note: The `OutputStream` remains open.

      Specified by:
        `serialize` in interface `ArtifactSerializer<POSDictionary>`
      Parameters:
        `artifact` - A valid `artifact`.
        `out` - A valid, open `OutputStream` ready to write to.
      Throws:
        `IOException` - Thrown if IO errors occurred during serialization.